import { Entity } from '@agiliza/utils/method'

import { Document, Operation } from './project'

export interface Schedule extends Entity {
  status: ScheduleStatus
  events: string[]
  documents?: Document[]
  number: string
  date: Date
  // user: UserClient
  // complement?: ScheduleVisitComplement
  // details?: ScheduleDetails
  idProject?: string
}

interface ScheduleDetails {
  rescheduleDate?: Date
  reason: string
  justification: string
}

export interface SchedulePermissions {
  requestCancel?: boolean
  requestReschedule?: boolean
  confirmReschedule?: boolean
  confirmRequest?: boolean
  goToProject?: boolean
  cancelVisit?: boolean
  confirmCancel?: boolean
}

export interface ScheduleCancellationReason extends Entity {
  description: string
}

export interface RescheduleReason extends Entity {
  description: string
}

export interface ScheduleStatus extends Entity {
  description: string
  operations: Operation[]
}

interface ScheduleVisitComplement {
  address: VisitAddress
  interestCredit: CreditInformation
}
export interface VisitAddress {
  id: string
  street: string
  number: string
  cep: string
  complement: string
  city: string
  district: string
  state: string
}

export interface CreditInformation {
  creditValue: number
  creditObjective: string
  creditInstallment: number
  creditGracePeriod: string
}

export interface ScheduleCancellation {
  scheduleId: string
  reason: string
  justification: string
}

export interface Reschedule {
  scheduleId: string
  dateTime: Date
  reason: string
  justification: string
}

export interface ScheduleContext {
  gracePeriods: CreditGracePeriod[]
  installments: CreditInstallment[]
}

export interface CreditInstallment extends Entity {
  description: string
}

// Carência
export interface CreditGracePeriod extends Entity {
  description: string
}
