import { InstallmentOption, SubProduct } from '@agiliza/api/domain'
import { OpcaoPrestacaoApiModel, SubprodutoApiModel } from '@microcredito/client'

import { DomainAdapter } from '../shared'

export class SubProductMapper implements DomainAdapter<SubprodutoApiModel, SubProduct> {
  public mapInstallmentOption = (opcaoPrestacao: OpcaoPrestacaoApiModel): InstallmentOption => ({
    id: opcaoPrestacao.id || '',
    installmentAmount: opcaoPrestacao.quantidadePrestacoes,
    installmentValue: opcaoPrestacao.valor,
    netValue: opcaoPrestacao.valorLiquido,
  })

  public mapApiModelToDomain = (subproduto: SubprodutoApiModel): SubProduct => ({
    id: subproduto.id || '',
    description: subproduto.descricao,
    IOF: subproduto.valorTotalIOF,
    TAC: subproduto.valorTarifadeAnaliseDeCredito,
    monthlyCET: subproduto.taxaCETMensal,
    yearlyCET: subproduto.taxaCETAnual,
    fee: subproduto.taxaJuros,
    installementOptions: subproduto.opcoesPrestacao?.map(this.mapInstallmentOption) || [],
    maxAmountInstallment: subproduto.qtdeParcelas,
    totalLiberateLiquidValue: subproduto.valorTotalLiberarLiquido,
    loanValue: subproduto.valorEmprestimo,
    baseCalcDate: subproduto.dataBaseCalc,
    amortization: subproduto.sistemaAmortizacao,
    graceInstallementAmount: subproduto.qtdeParcelasCarencia,
    totalCalcValue: subproduto.valorTotalCalc,
    feeTotalValue: subproduto.valorTotalJuros,
  })
}
