import React from 'react'

import ListItem, { ListItemProps } from '@mui/material/ListItem'
import ListItemIcon from '@mui/material/ListItemIcon'
import ListItemText from '@mui/material/ListItemText'

interface Props {
  label: string
  sx?: ListItemProps['sx']
  children: React.ReactElement
  onClick?: () => void
}

const ItemWithIcon = (props: Props) => {
  const { sx, label, children, onClick } = props
  return (
    <ListItem button sx={sx} onClick={onClick}>
      <ListItemIcon>{children}</ListItemIcon>
      <ListItemText primary={label} />
    </ListItem>
  )
}

export default ItemWithIcon
