import React from 'react'

import { Box } from '@mui/material'
import { useTheme } from '@mui/material/styles'
import MuiToolbar, { ToolbarProps as MuiToolbarProps } from '@mui/material/Toolbar'

import { useStyles } from './styles'

export interface ToolbarProps {
  title?: React.ReactNode
  actions?: React.ReactNode
  nav?: React.ReactNode
  sx?: MuiToolbarProps['sx']
}

export function Toolbar({ nav, title, actions, sx }: ToolbarProps) {
  const styles = useStyles(useTheme())
  return (
    <MuiToolbar>
      <Box sx={styles.nav}>{nav}</Box>
      {title ? <Box sx={styles.grow}>{title}</Box> : <Box sx={styles.grow} />}
      {actions}
    </MuiToolbar>
  )
}
