import deepmerge from 'deepmerge'
import React from 'react'

import Box from '@mui/material/Box'
import CircularProgressMUI from '@mui/material/CircularProgress'

import { styles } from './styles'

interface Props {
  className?: string
  root?: boolean
}

const CircularProgress = (props: Props) => {
  return (
    <Box sx={deepmerge(styles.container, props.root ? styles.allContainer : {})}>
      <CircularProgressMUI className={props.className} color="secondary" />
    </Box>
  )
}

export default CircularProgress
