import React from 'react'

import { maskPhone } from '@agiliza/utils/masks'
import { TextField, TextFieldProps } from '@mui/material'

interface Props {
  value?: string
  onChange: TextFieldProps['onChange']
  label?: string
}

const PhoneField = (props: Props) => {
  const { label, value, onChange } = props
  return <TextField variant="outlined" label={label || 'Telefone'} value={maskPhone(value)} onChange={onChange} inputProps={{ maxLength: 15 }} />
}

export default PhoneField
