import React from 'react'
import { RouteComponentProps } from 'react-router-dom'

import { createSxStyles } from '@agiliza/theme'
import { Typography } from '@mui/material'
import { Theme, useTheme } from '@mui/material/styles'

const useStyles = (theme: Theme) =>
  createSxStyles({
    container: {
      paddingLeft: theme.spacing(2),
    },
    messageBox: {
      paddingTop: theme.spacing(4),
    },
  })

type Props = RouteComponentProps

interface NotFoundProps extends Props {}

function NotFound(props: NotFoundProps) {
  const styles = useStyles(useTheme())
  return (
    <div style={styles.container}>
      <Typography variant="h3">404: Página não encontrada</Typography>
      <div style={styles.messageBox}>
        <Typography variant="h5">A página pela qual você procurou não existe.</Typography>
      </div>
    </div>
  )
}

export default /*#__PURE__*/ NotFound
