import { normalize, schema } from 'normalizr'

import { Project } from '@agiliza/api/domain'
import { NormalizedEntity } from '@agiliza/utils/method'

export const PROJECT_PREFIX = 'entities/project'

export interface NormalizedProjects {
  projects: NormalizedEntity<Project>
}

const project = new schema.Array(new schema.Entity('projects'))

export const normalizeProjects = (sCs: Project[]) => {
  const { entities } = normalize(sCs, project)
  const normalizedEntities = entities as unknown as NormalizedProjects
  return normalizedEntities
}
