import { normalize, schema } from 'normalizr'

import { BDProductService } from '@agiliza/api/domain'
import { NormalizedEntity } from '@agiliza/utils/method'

export const PROJECT_PREFIX = 'entities/project'

export interface NormalizedProjects {
  productsServices: NormalizedEntity<BDProductService>
}

const productsServices = new schema.Array(new schema.Entity('productsServices'))

export const normalizeProductsServices = (pS: BDProductService[]) => {
  const { entities } = normalize(pS, productsServices)
  const normalizedEntities = entities as unknown as NormalizedProjects
  return normalizedEntities
}
