import { normalize, schema } from 'normalizr'

import { Reference, Vehicle } from '@agiliza/api/domain'
import { NormalizedEntity } from '@agiliza/utils/method'

export const PROJECT_PREFIX = 'entities/project'

export interface NormalizedCustomerData {
  vehicles: NormalizedEntity<Vehicle>
  references: NormalizedEntity<Reference>
}

const schemas: Record<keyof NormalizedCustomerData, any> = {
  references: new schema.Array(new schema.Entity('references')),
  vehicles: new schema.Array(new schema.Entity('vehicles')),
}

export const normalizeCustomerData = (vehicles: Vehicle[], references: Reference[]) => {
  const { entities } = normalize({ vehicles, references }, schemas)
  const normalizedEntities = entities as unknown as NormalizedCustomerData
  return normalizedEntities
}
