import { combineReducers } from 'redux'

import businessData, {
  initialState as businessDataInitState,
  Store as BusinessDataStore
} from './businessData'
import context, { initialState as contextInitState, Store as ContextStore } from './context'
import customerData, {
  initialState as customerDataInitState,
  Store as CustomerDataStore
} from './customerData'
import proposal, { initialState as proposalInitState, Store as ProposalStore } from './proposal'

export interface State {
  context: ContextStore
  proposal: ProposalStore
  businessData: BusinessDataStore
  customerData: CustomerDataStore
}
export const initialState: State = {
  context: contextInitState,
  proposal: proposalInitState,
  businessData: businessDataInitState,
  customerData: customerDataInitState,
}

export default combineReducers<State>({
  context,
  proposal,
  businessData,
  customerData,
})
