import { Identification } from '@agiliza/api/domain'
import { actions as uiSimulationActions } from '@agiliza/redux/ui/simulation'
import { types as customerDataTypes } from '@agiliza/redux/useCases/proposalData/customerData'
import { createSlice, PayloadAction } from '@reduxjs/toolkit'

import { PROPOSAL_DATA_PREFIX } from '../shared'

export interface Store {
  proposalId: string
  personId: string
}

export const initialState: Store = {
  proposalId: '',
  personId: '',
}

export default createSlice({
  name: `${PROPOSAL_DATA_PREFIX}/proposal`,
  initialState,
  reducers: {
    // setProposalId: (state, action: PayloadAction<string>) => {
    //   console.log(action)
    //   state.proposalId = action.payload
    // },
  },
  extraReducers: {
    [uiSimulationActions.setProposalId.toString()]: (state, action: PayloadAction<string>) => {
      state.proposalId = action.payload
    },
    [customerDataTypes.createProposal.fulfilled]: (state, action: PayloadAction<string>) => {
      state.proposalId = action.payload
    },
    [customerDataTypes.addIndentification.fulfilled]: (state, action: PayloadAction<Identification>) => {
      state.personId = action.payload.id
    },
    [customerDataTypes.updateIdentification.fulfilled]: (state, action: PayloadAction<Identification>) => {
      state.personId = action.payload.id
    },
    [customerDataTypes.getIdentification.fulfilled]: (state, action: PayloadAction<Identification>) => {
      console.log(action.payload)
      state.personId = action.payload?.id
    },
  },
})
