import authentication, {
  initialState as authenticationInitialState,
  State as AuthenticationState
} from './authentication'
import project, { initialState as projectsInitialState, State as ProjectsState } from './project'
import proposalData, {
  initialState as proposalDataInitialState,
  State as ProposalDataState
} from './proposalData'
import simulation, {
  initialState as simulationInitialState,
  State as SimulationState
} from './simulation'

export interface UseCasesState {
  simulation: SimulationState
  authentication: AuthenticationState
  proposalData: ProposalDataState
  project: ProjectsState
}

const reducers = {
  simulation,
  authentication,
  proposalData,
  project,
}

export const initialState: UseCasesState = {
  simulation: simulationInitialState,
  authentication: authenticationInitialState,
  proposalData: proposalDataInitialState,
  project: projectsInitialState,
}

export default reducers
