import React from 'react'

import { ActionType } from '@agiliza/utils/hooks/state'
import { useTheme } from '@mui/material/styles'

import { connected, ConnectedProps } from './connect'
import Form from './Form'
import { BDStockSalesCostsState } from './state'
import useStyles from './styles'

type ExtendedProps = ConnectedProps

interface Props extends ExtendedProps {
  state: BDStockSalesCostsState
  actions: ActionType<BDStockSalesCostsState>
}

const StockSalesCosts = (props: Props) => {
  const { context, productsServices, state, actions } = props
  const styles = useStyles(useTheme())
  return (
    <div style={styles.contentContainer}>
      <div style={styles.content}>
        <Form state={state} actions={actions} context={context} productsServices={productsServices} />
      </div>
    </div>
  )
}

export default connected(StockSalesCosts)
