import React from 'react'

import { ActionType } from '@agiliza/utils/hooks/state'
import { useTheme } from '@mui/material/styles'

import { connected, ConnectedProps } from './connect'
import Form from './Form'
import { CDIdentificationState } from './state'
import useStyles from './styles'

type ExtendedProps = ConnectedProps

interface Props extends ExtendedProps {
  state: CDIdentificationState
  actions: ActionType<any>
}

const Identification = (props: Props) => {
  const { context, state, actions } = props
  const styles = useStyles(useTheme())

  return (
    <div style={styles.contentContainer}>
      <div style={styles.content}>
        <Form context={context} state={state} actions={actions} />
      </div>
    </div>
  )
}

export default connected(Identification)
