import React from 'react'

import { ActionType } from '@agiliza/utils/hooks/state'
import { useTheme } from '@mui/material/styles'

import { connected, ConnectedProps } from './connect'
import Form from './Form'
import { CustomerSourceIncomeState } from './state'
import useStyles from './styles'

type ExtendedProps = ConnectedProps

interface Props extends ExtendedProps {
  state: CustomerSourceIncomeState
  actions: ActionType<CustomerSourceIncomeState>
}

const SourceIncome = (props: Props) => {
  const { context, state, actions } = props
  const styles = useStyles(useTheme())

  return (
    <div style={styles.contentContainer}>
      <div style={styles.content}>
        <Form state={state} actions={actions} context={context} />
      </div>
    </div>
  )
}

export default connected(SourceIncome)
