import React from 'react'

import { ActionType } from '@agiliza/utils/hooks/state'
import { useTheme } from '@mui/material/styles'

import { CDSpousePersonalDataState } from '../SpouseData/state'
import Form from './Form'
import useStyles from './styles'

interface Props {
  state: CDSpousePersonalDataState
  actions: ActionType<CDSpousePersonalDataState>
}

const SpouseAdditionalData = (props: Props) => {
  const { state, actions } = props
  const styles = useStyles(useTheme())

  return (
    <div style={styles.contentContainer}>
      <div style={styles.content}>
        <Form state={state} actions={actions} />
      </div>
    </div>
  )
}

export default SpouseAdditionalData
