import React from 'react'

import { Avatar, ListItem, ListItemAvatar, ListItemText } from '@mui/material'
import { useTheme } from '@mui/material/styles'

import useStyles from './styles'

interface Props {
  label: string
  icon: JSX.Element
  onClick?: () => void
}

const GridItem = (props: Props) => {
  const { icon, label, onClick } = props
  const styles = useStyles(useTheme())
  return (
    <ListItem button onClick={onClick} sx={styles.listItem}>
      <ListItemAvatar>
        <Avatar sx={styles.avatar}>{icon}</Avatar>
      </ListItemAvatar>
      <ListItemText primary={label} />
    </ListItem>

    // <Grid item xl={4} className={classes.gridItem}>
    //   <DashboardCard label={label} icon={icon} onClick={onClick} />
    // </Grid>
  )
}

export default GridItem
