import React from 'react'
import { RouteComponentProps } from 'react-router'

import {
  CheckBox as CheckBoxIcon,
  Description as DescriptionIcon,
  Person as PersonIcon,
  Settings as SettingsIcon,
  ThumbUp as ThumbUpIcon,
  TrendingUp as TrendingUpIcon,
  VisibilityOff as VisibilityOffIcon
} from '@mui/icons-material'
import { List } from '@mui/material'
import { useTheme } from '@mui/material/styles'

import { PROPOSAL_DATA_PATHS } from '../ProposalData'
import ListItem from './ListItem'
import useStyles from './styles'

type ExtendedProps = RouteComponentProps

interface Props extends ExtendedProps {}

const SelectOption = (props: Props) => {
  const { history } = props
  const styles = useStyles(useTheme())

  return (
    <div style={styles.contentContainer}>
      <div style={styles.content}>
        <List component="nav" sx={styles.list}>
          <ListItem
            label="Pessoas envolvidas"
            icon={<PersonIcon sx={styles.listItemIcon} />}
            onClick={() => history.push(PROPOSAL_DATA_PATHS.involvedPeople)}
          />
          <ListItem
            label="Dados de negócio"
            icon={<SettingsIcon sx={styles.listItemIcon} />}
            onClick={() => history.push(PROPOSAL_DATA_PATHS.businessData)}
          />
          <ListItem label="LSE" icon={<TrendingUpIcon sx={styles.listItemIcon} />} />
          <ListItem label="Solicitação" icon={<ThumbUpIcon sx={styles.listItemIcon} />} />
          <ListItem label="Parecer" icon={<VisibilityOffIcon sx={styles.listItemIcon} />} />
          <ListItem label="Resumo" icon={<DescriptionIcon sx={styles.listItemIcon} />} />
          <ListItem label="Checklist do Projeto" icon={<CheckBoxIcon sx={styles.listItemIcon} />} />
        </List>
      </div>
    </div>
  )
}

export default SelectOption
