import React from 'react'
import { RouteComponentProps } from 'react-router'

import { Button, Typography } from '@mui/material'
import { useTheme } from '@mui/material/styles'

import { connected, ConnectedProps } from './connect'
import useStyles from './styles'

type ExtendedProps = RouteComponentProps & ConnectedProps

interface Props extends ExtendedProps {}

const FinishSimulation = (props: Props) => {
  const { history } = props
  const styles = useStyles(useTheme())
  const handleClick = () => {
    props.reset()
    history.push('/')
  }
  return (
    <div style={styles.pageContent}>
      <div style={styles.titleContainer}>
        <Typography variant="h4">Sua proposta foi submetida com sucesso!</Typography>
        <Typography variant="h6">Agora é só aguardar que entraremos em contato!</Typography>
      </div>
      <div style={{ flex: 1 }} />
      <Button onClick={handleClick} variant="contained" color="primary">
        VOLTAR PARA O INÍCIO
      </Button>
    </div>
  )
}

export default connected(FinishSimulation)
