import React from 'react'

import TextFieldWithIcon from '@agiliza/components/atoms/TextFieldWithIcon'
import { Box } from '@mui/material'
import { useTheme } from '@mui/material/styles'

import useStyles from './styles'

interface Props {
  password: string
  confirmPassword: string
  onChange(type: 'password' | 'confirmPassword'): (value: string) => void
}

const CreatePassword = (props: Props) => {
  const styles = useStyles(useTheme())
  const { password, confirmPassword, onChange } = props
  return (
    <Box sx={styles.dialogContent}>
      <TextFieldWithIcon label="Senha" value={password} onChange={(evt) => onChange('password')(evt.target.value)} type="password" />
      <TextFieldWithIcon
        label="Confirmar senha"
        value={confirmPassword}
        onChange={(evt) => onChange('confirmPassword')(evt.target.value)}
        type="password"
      />
    </Box>
  )
}

export default CreatePassword
