import React from 'react'

import { maskCPFCNPJ } from '@agiliza/utils/masks'
import { Box, TextField, Typography } from '@mui/material'
import { useTheme } from '@mui/material/styles'

import useStyles from './styles'

interface Props {
  cpf: string
  onChange: (value: string) => void
}

const VerifyCPF = (props: Props) => {
  const { cpf, onChange } = props
  const styles = useStyles(useTheme())
  return (
    <Box sx={styles.dialogContent}>
      <Typography sx={styles.title}>Informe o seu CPF</Typography>
      <TextField
        variant="outlined"
        // label="CPF"
        value={maskCPFCNPJ(cpf)}
        onChange={(evt) => onChange(evt.target.value)}
        inputProps={{ maxLength: 14 }}
      />
    </Box>
  )
}

export default VerifyCPF
