import React from 'react'

import { extractNumbers } from '@agiliza/utils/method'
import { Box, Button, TextField, Typography } from '@mui/material'
import { useTheme } from '@mui/material/styles'

import useStyles from './styles'

interface Props {
  code: string
  onChange: (value: string) => void
  onResendCode: () => void
}

const VerifyCode = (props: Props) => {
  const { code, onChange } = props
  const styles = useStyles(useTheme())
  return (
    <Box sx={styles.dialogContent}>
      <Typography sx={styles.title}>Foi enviado um código de verificação por email.</Typography>
      <TextField variant="outlined" value={code} onChange={(evt) => onChange(extractNumbers(evt.target.value))} inputProps={{ maxLength: 14 }} />
      <div style={{ display: 'flex', width: '100%', justifyContent: 'flex-end' }} onClick={props.onResendCode}>
        <Button>Re-enviar código</Button>
      </div>
    </Box>
  )
}

export default VerifyCode
